> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xerobi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Event Deliveries



## OpenAPI

````yaml GET /events/{id}/deliveries
openapi: 3.1.0
info:
  title: Xerobi Payment API
  version: '2026-01-01'
  description: >-
    A developer-first REST API for a modern payment gateway. Focused on
    predictable semantics, idempotency, clear errors, and observability. Use
    `Authorization: Bearer <sk_...>` for requests. All amounts are smallest
    currency unit (e.g. paisa for BDT).
  termsOfService: https://api.hixbe.com/terms
  contact:
    name: Xerobi Developer Support
    url: https://developer.hixbe.com
    email: support@xerobi.com
  license:
    name: Proprietary
    url: https://hixbe.com/license
servers:
  - url: https://sandbox.api.hixbe.com/payment
    description: Sandbox (test)
  - url: https://api.hixbe.com/payment
    description: Production
security:
  - bearerAuth: []
tags:
  - name: PaymentIntents
    description: Orchestrate payments (recommended pattern)
  - name: PaymentMethods
    description: Create and manage payment methods / tokens
  - name: Customers
    description: Customer objects and stored methods
  - name: Refunds
    description: Issue partial/full refunds
  - name: Webhooks
    description: Register webhook endpoints and view events
  - name: Observability
    description: Request debugging and headers
externalDocs:
  description: Developer guides & examples
  url: https://developer.hixbe.com/docs
paths:
  /events/{id}/deliveries:
    get:
      tags:
        - Webhooks
      summary: List deliveries for a webhook event
      operationId: listEventDeliveries
      parameters:
        - $ref: '#/components/parameters/Xerobi-Version'
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Deliveries list
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ListResponse'
                  - properties:
                      data:
                        type: array
                        items:
                          type: object
components:
  parameters:
    Xerobi-Version:
      name: Xerobi-Version
      in: header
      description: API version header. Use '2026-01-01' for the latest version.
      required: true
      schema:
        type: string
        default: '2026-01-01'
  schemas:
    ListResponse:
      type: object
      properties:
        object:
          type: string
          example: list
        data:
          type: array
          items: {}
        has_more:
          type: boolean
        next_cursor:
          type: string
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Use your secret API key. Example: `Authorization: Bearer sk_test_xxx`'

````

## Related topics

- [List Webhooks](https://docs.xerobi.com/sms-api/endpoint/list-webhooks.md)
- [List messages](https://docs.xerobi.com/sms-api/endpoint/list-messages.md)
- [List Webhook Endpoints](https://docs.xerobi.com/payment-api/endpoint/list-webhook-endpoints.md)
- [Register Webhook](https://docs.xerobi.com/sms-api/endpoint/register-webhook.md)
- [Webhooks](https://docs.xerobi.com/faq-guides/webhooks.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.